# geda-examples.spec

Name: 		geda-examples
Version: 	20060123
Release: 	1
Summary: 	Circuit examples for gEDA
Group: 		Applications/Engineering
License:	GPL 
URL:		http://www.geda.seul.org
Source:		ftp://ftp.geda.seul.org/pub/geda/devel/20060123/geda-examples-20060123.tar.gz
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	geda-gschem
#BuildArch:	noarch


%description
This package contains circuit examples for the gEDA project.


%define gedaexampledir %{_datadir}/gEDA/examples


%prep
%setup -q

%build
%configure
make all

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#the above installs nothing, do this again manually
install -d $RPM_BUILD_ROOT%{gedaexampledir}/lightning_detector/sym
cp lightning_detector/sym/*.sym $RPM_BUILD_ROOT%{gedaexampledir}/lightning_detector/sym
cp lightning_detector/bom* $RPM_BUILD_ROOT%{gedaexampledir}/lightning_detector
cp lightning_detector/g* $RPM_BUILD_ROOT%{gedaexampledir}/lightning_detector
cp lightning_detector/lig* $RPM_BUILD_ROOT%{gedaexampledir}/lightning_detector

install -d $RPM_BUILD_ROOT%{gedaexampledir}/gTAG
cp gTAG/*.sym $RPM_BUILD_ROOT%{gedaexampledir}/gTAG
cp gTAG/gTAG* $RPM_BUILD_ROOT%{gedaexampledir}/gTAG
cp gTAG/*rc $RPM_BUILD_ROOT%{gedaexampledir}/gTAG
cp gTAG/README $RPM_BUILD_ROOT%{gedaexampledir}/gTAG
cp gTAG/attribs $RPM_BUILD_ROOT%{gedaexampledir}/gTAG
cp gTAG/ChangeLog $RPM_BUILD_ROOT%{gedaexampledir}/gTAG
cp gTAG/*.sh $RPM_BUILD_ROOT%{gedaexampledir}/gTAG

install -d $RPM_BUILD_ROOT%{gedaexampledir}/TwoStageAmp/sym
cp TwoStageAmp/sym/*.sym $RPM_BUILD_ROOT%{gedaexampledir}/TwoStageAmp/sym
cp TwoStageAmp/*rc $RPM_BUILD_ROOT%{gedaexampledir}/TwoStageAmp
cp TwoStageAmp/spice* $RPM_BUILD_ROOT%{gedaexampledir}/TwoStageAmp
cp TwoStageAmp/*.sch $RPM_BUILD_ROOT%{gedaexampledir}/TwoStageAmp
cp TwoStageAmp/*.cmd $RPM_BUILD_ROOT%{gedaexampledir}/TwoStageAmp

install -d $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp/sym
install -d $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp/model
cp RF_Amp/sym/*.sym $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp/sym
cp RF_Amp/model/*.mod $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp/model
cp RF_Amp/*rc $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp
cp RF_Amp/*.cir $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp
cp RF_Amp/*.sch $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp
cp RF_Amp/*.cmd $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp
cp RF_Amp/*.pdf $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp
cp RF_Amp/README $RPM_BUILD_ROOT%{gedaexampledir}/RF_Amp


%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{gedaexampledir}/lightning_detector
%dir %{gedaexampledir}/gTAG
%dir %{gedaexampledir}/TwoStageAmp
%dir %{gedaexampledir}/RF_Amp
%doc AUTHORS COPYING ChangeLog README 
%{gedaexampledir}/lightning_detector/*
%{gedaexampledir}/gTAG/*
%{gedaexampledir}/TwoStageAmp/*
%{gedaexampledir}/RF_Amp/*


%changelog
* Sat Mar 25 2006 joe_morris@ntm.org
- build on SuSE x86_64

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- initialization of spec file, version 20030525, compiled on RedHat 9

# end of file
